import request from '@/utils/request'

// 查询工业园区各单位用水明细列表
export function listCopy(query) {
    return request({
        url: '/crmIndustrialParkWaterUsageDetailCopy/findByPage',
        method: 'get',
        params: query
    })
}

// 查询工业园区各单位用水明细详细
export function getCopy(id) {
    return request({
        url: '/crmIndustrialParkWaterUsageDetailCopy/' + id,
        method: 'get'
    })
}

// 新增工业园区各单位用水明细
export function addCopy(data) {
    return request({
        url: '/crmIndustrialParkWaterUsageDetailCopy',
        method: 'post',
        data: data
    })
}

// 修改工业园区各单位用水明细
export function updateCopy(data) {
    return request({
        url: '/crmIndustrialParkWaterUsageDetailCopy',
        method: 'put',
        data: data
    })
}

// 删除工业园区各单位用水明细
export function delCopy(id) {
    return request({
        url: '/crmIndustrialParkWaterUsageDetailCopy/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delCopyBatch(ids) {
    console.log(ids);
    return request.post('/crmIndustrialParkWaterUsageDetailCopy/delete',ids)
}